%define major 0
%define libname %mklibname karma %major

Summary:   	Rio Karma tools
Name:      	libkarma
Version:   	0.1.1
Release:   	%mkrel 3
License:   	GPLv2+
Group:     	System/Libraries
Url:	   	http://www.freakysoft.de/html/libkarma/
Source:   	http://www.freakysoft.de/libkarma/libkarma-%{version}.tar.gz
Source2: http://bobcopeland.com/karma/banshee/preferences.fdi
Source3: http://bobcopeland.com/karma/banshee/multimedia-player-rio-karma.png
Source4: karma-sharp.dll.config
BuildRequires: mono-devel
BuildRequires: taglib-devel
BuildRequires: libusb-devel
BuildRequires: zlib-devel
Requires: %libname >= %version
%define _requires_exceptions libkarma

%description
Rio Karma access library

%package -n %libname
Summary: Rio Karma access library
Group: System/Libraries

%description -n %libname
Rio Karma access library


%package -n %libname-devel
Summary:   	Rio Karma development files
Group:     	Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n %libname-devel
Rio Karma development files


%package -n karma-sharp
Summary:   	Rio Karma C# bindings
Group:     	Development/Other
Requires: %name = %version

%description -n karma-sharp
Rio Karma C# bindings


%prep
%setup -q -n libkarma-%{version}

%build
make PREFIX=$RPM_BUILD_ROOT/%_prefix

%install
rm -rf $RPM_BUILD_ROOT installed-docs
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%_prefix CHOWNPROG=/bin/true CHGRPPROG=/bin/true
perl -pi -e "s^%buildroot^^" %buildroot%_prefix/lib/pkgconfig/karma-sharp.pc
%if %_lib != lib
mv %buildroot%_prefix/lib %buildroot%_libdir
perl -pi -e "s^/lib^/%_lib^" %buildroot%_libdir/pkgconfig/karma-sharp.pc
%endif


install -m 644 -D libkarma.fdi %buildroot%_sysconfdir/hal/fdi/information/20-rio-karma.fdi
install -m 644 -D %SOURCE2 %buildroot%_sysconfdir/hal/fdi/policy/preferences.fdi
install -m 644 -D %SOURCE3 %buildroot%_datadir/icons/hicolor/32x32/devices/multimedia-player-rio-karma.png

cat > README.urpmi << EOF
For automatic mounting, add the following line to your
/etc/fstab. Otherwise gnome-volume-manager will refuse to mount the
device, as it doesn't know about the Karma's proprietary filesystem.

/dev/disk/by-id/usb-Rio_Rio_Karma_0000000000000000-part2    /media/karma    omfs    user,noauto    0   0

EOF

install -m 644 %SOURCE4 %buildroot%_libdir/karma-sharp/karma-sharp.dll.config

%post
%update_icon_cache hicolor
%postun
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc THANKS TODO README.urpmi
%config(noreplace) %_sysconfdir/hal/fdi/information/20-rio-karma.fdi
%config(noreplace) %_sysconfdir/hal/fdi/policy/preferences.fdi
%_bindir/riocp
%_bindir/chprop
%_mandir/man1/*.1*
%attr(4755,root,root) %_bindir/karma_helper
%_datadir/icons/hicolor/32x32/devices/multimedia-player-rio-karma.png

%files -n %libname
%defattr(-,root,root)
%_libdir/libkarma.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/libkarma.a
%_libdir/libkarma.so

%files -n karma-sharp
%defattr(-,root,root)
%_libdir/karma-sharp/*
%_libdir/pkgconfig/karma-sharp.pc






%changelog
* Thu Mar 24 2011 boklm <boklm> 0.1.1-3.mga1
+ Revision: 76175
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1.1-2.mga1
+ Revision: 72006
- clean spec file
- imported package libkarma


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2010.1
+ Revision: 520874
- rebuilt for 2010.1

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 383902
- new version
- use upstream fdi file

* Fri May 15 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-5mdv2010.0
+ Revision: 376115
- update license
- drop dep on dkms-omfs

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.1.0-4mdv2009.0
+ Revision: 248840
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 0.1.0-2mdv2008.1
+ Revision: 185026
- fix automatic deps of karma-sharp

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.1.0-1mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 28467
- fix buildrequires
- new version
- new URL
- split out library package
- add dll mapping for karma-sharp


* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.0.6-1mdv2007.0
+ Revision: 96209
- add README.urpmi about fstab setup
- add icon
- Import libkarma

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.0.6-1mdv2007.1
- initial package

